zenilib: zenilib/jni/external/libvorbis/include/vorbis/vorbisfile.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions | Variables
vorbisfile.h File Reference
`#include <stdio.h>`
`#include "codec.h"`

Go to the source code of this file.

## Classes

struct | OggVorbis_File
struct | ov_callbacks

## Macros

#define | INITSET 4
#define | NOTOPEN 0
#define | OPENED 2
#define | PARTOPEN 1
#define | STREAMSET 3

## Typedefs

typedef struct OggVorbis_File | OggVorbis_File

## Functions

static int | _ov_header_fseek_wrap (FILE *f, ogg_int64_t off, int whence)
long | ov_bitrate (OggVorbis_File *vf, int i)
long | ov_bitrate_instant (OggVorbis_File *vf)
int | ov_clear (OggVorbis_File *vf)
vorbis_comment * | ov_comment (OggVorbis_File *vf, int link)
int | ov_crosslap (OggVorbis_File *vf1, OggVorbis_File *vf2)
int | ov_fopen (const char *path, OggVorbis_File *vf)
int | ov_halfrate (OggVorbis_File *vf, int flag)
int | ov_halfrate_p (OggVorbis_File *vf)
vorbis_info * | ov_info (OggVorbis_File *vf, int link)
int | ov_open (FILE *f, OggVorbis_File *vf, const char *initial, long ibytes)
int | ov_open_callbacks (void *datasource, OggVorbis_File *vf, const char *initial, long ibytes, ov_callbacks callbacks)
int | ov_pcm_seek (OggVorbis_File *vf, ogg_int64_t pos)
int | ov_pcm_seek_lap (OggVorbis_File *vf, ogg_int64_t pos)
int | ov_pcm_seek_page (OggVorbis_File *vf, ogg_int64_t pos)
int | ov_pcm_seek_page_lap (OggVorbis_File *vf, ogg_int64_t pos)
ogg_int64_t | ov_pcm_tell (OggVorbis_File *vf)
ogg_int64_t | ov_pcm_total (OggVorbis_File *vf, int i)
int | ov_raw_seek (OggVorbis_File *vf, ogg_int64_t pos)
int | ov_raw_seek_lap (OggVorbis_File *vf, ogg_int64_t pos)
ogg_int64_t | ov_raw_tell (OggVorbis_File *vf)
ogg_int64_t | ov_raw_total (OggVorbis_File *vf, int i)
long | ov_read (OggVorbis_File *vf, char *buffer, int length, int bigendianp, int word, int sgned, int *bitstream)
long | ov_read_filter (OggVorbis_File *vf, char *buffer, int length, int bigendianp, int word, int sgned, int *bitstream, void(*filter)(float **pcm, long channels, long samples, void *filter_param), void *filter_param)
long | ov_read_float (OggVorbis_File *vf, float ***pcm_channels, int samples, int *bitstream)
long | ov_seekable (OggVorbis_File *vf)
long | ov_serialnumber (OggVorbis_File *vf, int i)
long | ov_streams (OggVorbis_File *vf)
int | ov_test (FILE *f, OggVorbis_File *vf, const char *initial, long ibytes)
int | ov_test_callbacks (void *datasource, OggVorbis_File *vf, const char *initial, long ibytes, ov_callbacks callbacks)
int | ov_test_open (OggVorbis_File *vf)
int | ov_time_seek (OggVorbis_File *vf, double pos)
int | ov_time_seek_lap (OggVorbis_File *vf, double pos)
int | ov_time_seek_page (OggVorbis_File *vf, double pos)
int | ov_time_seek_page_lap (OggVorbis_File *vf, double pos)
double | ov_time_tell (OggVorbis_File *vf)
double | ov_time_total (OggVorbis_File *vf, int i)

## Variables

static ov_callbacks | OV_CALLBACKS_DEFAULT
static ov_callbacks | OV_CALLBACKS_NOCLOSE
static ov_callbacks | OV_CALLBACKS_STREAMONLY
static ov_callbacks | OV_CALLBACKS_STREAMONLY_NOCLOSE

## Macro Definition Documentation

#define INITSET 4

Definition at line 109 of file vorbisfile.h.

Referenced by _fetch_and_process_packet(), _make_decode_ready(), _ov_initprime(), _ov_initset(), ov_read_filter(), and ov_read_float().

#define NOTOPEN 0

Definition at line 105 of file vorbisfile.h.

#define OPENED 2

Definition at line 107 of file vorbisfile.h.

Referenced by _decode_clear(), _fetch_and_process_packet(), _fetch_headers(), _ov_64_seek_lap(), _ov_d_seek_lap(), _ov_open2(), ov_bitrate(), ov_bitrate_instant(), ov_crosslap(), ov_pcm_seek_page(), ov_pcm_tell(), ov_pcm_total(), ov_raw_seek(), ov_raw_tell(), ov_raw_total(), ov_read_filter(), ov_read_float(), ov_time_seek(), ov_time_seek_page(), ov_time_tell(), and ov_time_total().

#define PARTOPEN 1

Definition at line 106 of file vorbisfile.h.

Referenced by _ov_open1(), _ov_open2(), and ov_test_open().

#define STREAMSET 3

Definition at line 108 of file vorbisfile.h.

Referenced by _fetch_and_process_packet(), _fetch_headers(), _make_decode_ready(), _ov_open2(), ov_comment(), ov_halfrate(), ov_info(), ov_pcm_seek(), ov_pcm_seek_page(), and ov_raw_seek().

## Typedef Documentation

typedef struct OggVorbis_File OggVorbis_File

## Function Documentation

static int _ov_header_fseek_wrap | ( | FILE * | f,
|  | ogg_int64_t | off,
|  | int | whence
| ) |  |

static

Definition at line 53 of file vorbisfile.h.

References NULL.

long ov_bitrate | ( | OggVorbis_File * | vf,
|  | int | i
| ) |  |

Definition at line 1101 of file vorbisfile.c.

References vorbis_info::bitrate_lower, vorbis_info::bitrate_nominal, vorbis_info::bitrate_upper, OggVorbis_File::dataoffsets, i, OggVorbis_File::links, OggVorbis_File::offsets, OPENED, ov_bitrate(), OV_EINVAL, OV_FALSE, ov_time_total(), OggVorbis_File::ready_state, OggVorbis_File::seekable, and OggVorbis_File::vi.

Referenced by ov_bitrate().

long ov_bitrate_instant | ( | OggVorbis_File * | vf | ) |

Definition at line 1143 of file vorbisfile.c.

References OggVorbis_File::bittrack, OggVorbis_File::current_link, OPENED, OV_EINVAL, OV_FALSE, vorbis_info::rate, OggVorbis_File::ready_state, ret, OggVorbis_File::samptrack, OggVorbis_File::seekable, and OggVorbis_File::vi.

int ov_clear | ( | OggVorbis_File * | vf | ) |

Definition at line 955 of file vorbisfile.c.

References _ogg_free, OggVorbis_File::callbacks, ov_callbacks::close_func, OggVorbis_File::dataoffsets, OggVorbis_File::datasource, i, OggVorbis_File::links, memset, OggVorbis_File::offsets, ogg_stream_clear(), ogg_sync_clear(), OggVorbis_File::os, OggVorbis_File::oy, OggVorbis_File::pcmlengths, OggVorbis_File::serialnos, OggVorbis_File::vb, OggVorbis_File::vc, OggVorbis_File::vd, OggVorbis_File::vi, vorbis_block_clear(), vorbis_comment_clear(), vorbis_dsp_clear(), and vorbis_info_clear().

Referenced by _ov_open1(), _ov_open2(), and Zeni::Sound_Buffer::load_ogg_vorbis().

vorbis_comment* ov_comment | ( | OggVorbis_File * | vf,
|  | int | link
| ) |  |

Definition at line 1809 of file vorbisfile.c.

References OggVorbis_File::current_link, OggVorbis_File::links, NULL, OggVorbis_File::ready_state, OggVorbis_File::seekable, STREAMSET, and OggVorbis_File::vc.

Referenced by Zeni::Sound_Stream_AL::Sound_Stream_AL().

int ov_crosslap | ( | OggVorbis_File * | vf1,
|  | OggVorbis_File * | vf2
| ) |  |

Definition at line 2168 of file vorbisfile.c.

References _ov_getlap(), _ov_initprime(), _ov_initset(), _ov_splice(), vorbis_info::channels, i, OPENED, OV_EINVAL, ov_halfrate_p(), ov_info(), OggVorbis_File::ready_state, ret, OggVorbis_File::vd, vorbis_info_blocksize(), vorbis_synthesis_lapout(), and vorbis_window().

int ov_fopen | ( | const char * | path,
|  | OggVorbis_File * | vf
| ) |  |

Definition at line 1011 of file vorbisfile.c.

References NULL, ov_open(), and ret.

Referenced by Zeni::Sound_Buffer::load_ogg_vorbis(), and Zeni::Sound_Stream_AL::Sound_Stream_AL().

int ov_halfrate | ( | OggVorbis_File * | vf,
|  | int | flag
| ) |  |

Definition at line 1025 of file vorbisfile.c.

References i, OggVorbis_File::links, NULL, OV_EINVAL, ov_halfrate(), ov_pcm_seek(), OggVorbis_File::pcm_offset, OggVorbis_File::ready_state, STREAMSET, OggVorbis_File::vb, OggVorbis_File::vd, OggVorbis_File::vi, vorbis_block_clear(), vorbis_dsp_clear(), and vorbis_synthesis_halfrate().

Referenced by ov_halfrate().

int ov_halfrate_p | ( | OggVorbis_File * | vf | ) |

Definition at line 1050 of file vorbisfile.c.

References NULL, OV_EINVAL, OggVorbis_File::vi, and vorbis_synthesis_halfrate_p().

Referenced by _ov_64_seek_lap(), _ov_d_seek_lap(), and ov_crosslap().

vorbis_info* ov_info | ( | OggVorbis_File * | vf,
|  | int | link
| ) |  |

Definition at line 1791 of file vorbisfile.c.

References OggVorbis_File::current_link, OggVorbis_File::links, NULL, OggVorbis_File::ready_state, OggVorbis_File::seekable, STREAMSET, and OggVorbis_File::vi.

Referenced by _ov_64_seek_lap(), _ov_d_seek_lap(), Zeni::Sound_Buffer::load_ogg_vorbis(), ov_crosslap(), ov_read_filter(), and Zeni::Sound_Stream_AL::Sound_Stream_AL().

int ov_open | ( | FILE * | f,
|  | OggVorbis_File * | vf,
|  | const char * | initial,
|  | long | ibytes
| ) |  |

Definition at line 1000 of file vorbisfile.c.

References _fseek64_wrap(), int, and ov_open_callbacks().

Referenced by ov_fopen().

int ov_open_callbacks | ( | void * | datasource,
|  | OggVorbis_File * | vf,
|  | const char * | initial,
|  | long | ibytes,
|  | ov_callbacks | callbacks
| ) |  |

Definition at line 993 of file vorbisfile.c.

References _ov_open1(), _ov_open2(), and ret.

Referenced by ov_open().

int ov_pcm_seek | ( | OggVorbis_File * | vf,
|  | ogg_int64_t | pos
| ) |  |

Definition at line 1590 of file vorbisfile.c.

References _decode_clear(), _fetch_and_process_packet(), _get_next_page(), _make_decode_ready(), OggVorbis_File::bittrack, OggVorbis_File::current_link, OggVorbis_File::current_serialno, ogg_packet::granulepos, i, OggVorbis_File::links, NULL, ogg_page_bos(), ogg_page_serialno(), ogg_stream_packetout(), ogg_stream_packetpeek(), ogg_stream_pagein(), ogg_stream_reset_serialno(), OggVorbis_File::os, OV_HOLE, ov_pcm_seek_page(), ov_pcm_total(), OggVorbis_File::pcm_offset, OggVorbis_File::pcmlengths, OggVorbis_File::ready_state, ret, OggVorbis_File::samptrack, OggVorbis_File::serialnos, STREAMSET, OggVorbis_File::vb, OggVorbis_File::vd, OggVorbis_File::vi, vorbis_info_blocksize(), vorbis_packet_blocksize(), vorbis_synthesis_blockin(), vorbis_synthesis_halfrate_p(), vorbis_synthesis_pcmout(), vorbis_synthesis_read(), and vorbis_synthesis_trackonly().

Referenced by ov_halfrate(), ov_pcm_seek_lap(), and ov_time_seek().

int ov_pcm_seek_lap | ( | OggVorbis_File * | vf,
|  | ogg_int64_t | pos
| ) |  |

Definition at line 2274 of file vorbisfile.c.

References _ov_64_seek_lap(), and ov_pcm_seek().

int ov_pcm_seek_page | ( | OggVorbis_File * | vf,
|  | ogg_int64_t | pos
| ) |  |

Definition at line 1404 of file vorbisfile.c.

References _decode_clear(), _get_next_page(), _get_prev_page(), _seek_helper(), OggVorbis_File::bittrack, CHUNKSIZE, OggVorbis_File::current_link, OggVorbis_File::current_serialno, ogg_packet::granulepos, OggVorbis_File::links, NULL, OggVorbis_File::offset, OggVorbis_File::offsets, ogg_page_continued(), ogg_page_granulepos(), ogg_page_serialno(), ogg_stream_packetout(), ogg_stream_packetpeek(), ogg_stream_pagein(), ogg_stream_reset_serialno(), OPENED, OggVorbis_File::os, OV_EBADPACKET, OV_EFAULT, OV_EINVAL, OV_ENOSEEK, OV_EREAD, ov_pcm_total(), ov_raw_seek(), OggVorbis_File::pcm_offset, OggVorbis_File::pcmlengths, OggVorbis_File::ready_state, OggVorbis_File::samptrack, OggVorbis_File::seekable, OggVorbis_File::serialnos, STREAMSET, OggVorbis_File::vd, and vorbis_synthesis_restart().

Referenced by ov_pcm_seek(), ov_pcm_seek_page_lap(), and ov_time_seek_page().

int ov_pcm_seek_page_lap | ( | OggVorbis_File * | vf,
|  | ogg_int64_t | pos
| ) |  |

Definition at line 2278 of file vorbisfile.c.

References _ov_64_seek_lap(), and ov_pcm_seek_page().

ogg_int64_t ov_pcm_tell | ( | OggVorbis_File * | vf | ) |

Definition at line 1756 of file vorbisfile.c.

References OPENED, OV_EINVAL, OggVorbis_File::pcm_offset, and OggVorbis_File::ready_state.

ogg_int64_t ov_pcm_total | ( | OggVorbis_File * | vf,
|  | int | i
| ) |  |

Definition at line 1189 of file vorbisfile.c.

References i, OggVorbis_File::links, OPENED, OV_EINVAL, ov_pcm_total(), OggVorbis_File::pcmlengths, OggVorbis_File::ready_state, and OggVorbis_File::seekable.

Referenced by Zeni::Sound_Buffer::load_ogg_vorbis(), ov_pcm_seek(), ov_pcm_seek_page(), ov_pcm_total(), ov_raw_seek(), and ov_time_tell().

int ov_raw_seek | ( | OggVorbis_File * | vf,
|  | ogg_int64_t | pos
| ) |  |

Definition at line 1229 of file vorbisfile.c.

References _decode_clear(), _get_next_page(), _seek_helper(), OggVorbis_File::bittrack, vorbis_info::codec_setup, OggVorbis_File::current_link, OggVorbis_File::current_serialno, OggVorbis_File::dataoffsets, OggVorbis_File::end, ogg_packet::granulepos, i, OggVorbis_File::links, NULL, OggVorbis_File::offsets, ogg_page_bos(), ogg_page_eos(), ogg_page_serialno(), ogg_stream_clear(), ogg_stream_init(), ogg_stream_packetout(), ogg_stream_pagein(), ogg_stream_reset(), ogg_stream_reset_serialno(), OPENED, OggVorbis_File::os, OV_EBADLINK, OV_EINVAL, OV_ENOSEEK, ov_pcm_total(), OggVorbis_File::pcm_offset, OggVorbis_File::pcmlengths, OggVorbis_File::ready_state, ret, OggVorbis_File::samptrack, OggVorbis_File::seekable, OggVorbis_File::serialnos, STREAMSET, OggVorbis_File::vd, OggVorbis_File::vi, vorbis_packet_blocksize(), and vorbis_synthesis_restart().

Referenced by _open_seekable2(), ov_pcm_seek_page(), ov_raw_seek_lap(), and Zeni::Sound_Stream_AL::play().

int ov_raw_seek_lap | ( | OggVorbis_File * | vf,
|  | ogg_int64_t | pos
| ) |  |

Definition at line 2270 of file vorbisfile.c.

References _ov_64_seek_lap(), and ov_raw_seek().

ogg_int64_t ov_raw_tell | ( | OggVorbis_File * | vf | ) |

Definition at line 1750 of file vorbisfile.c.

References OggVorbis_File::offset, OPENED, OV_EINVAL, and OggVorbis_File::ready_state.

ogg_int64_t ov_raw_total | ( | OggVorbis_File * | vf,
|  | int | i
| ) |  |

Definition at line 1170 of file vorbisfile.c.

References i, OggVorbis_File::links, OggVorbis_File::offsets, OPENED, OV_EINVAL, ov_raw_total(), OggVorbis_File::ready_state, and OggVorbis_File::seekable.

Referenced by ov_raw_total().

long ov_read | ( | OggVorbis_File * | vf,
|  | char * | buffer,
|  | int | length,
|  | int | bigendianp,
|  | int | word,
|  | int | sgned,
|  | int * | bitstream
| ) |  |

Definition at line 2007 of file vorbisfile.c.

References NULL, and ov_read_filter().

Referenced by Zeni::Sound_Buffer::load_ogg_vorbis().

long ov_read_filter | ( | OggVorbis_File * | vf,
|  | char * | buffer,
|  | int | length,
|  | int | bigendianp,
|  | int | word,
|  | int | sgned,
|  | int * | bitstream,
|  | void(*)(float **pcm, long channels, long samples, void *filter_param) | filter,
|  | void * | filter_param
| ) |  |

Definition at line 1869 of file vorbisfile.c.

References _fetch_and_process_packet(), vorbis_info::channels, OggVorbis_File::current_link, host_is_big_endian(), i, INITSET, j, NULL, OPENED, OV_EINVAL, OV_EOF, ov_info(), OggVorbis_File::pcm_offset, OggVorbis_File::ready_state, ret, OggVorbis_File::vd, OggVorbis_File::vi, vorbis_fpu_restore, vorbis_fpu_setround, vorbis_ftoi(), vorbis_synthesis_halfrate_p(), vorbis_synthesis_pcmout(), and vorbis_synthesis_read().

Referenced by ov_read().

long ov_read_float | ( | OggVorbis_File * | vf,
|  | float *** | pcm_channels,
|  | int | samples,
|  | int * | bitstream
| ) |  |

Definition at line 2026 of file vorbisfile.c.

References _fetch_and_process_packet(), OggVorbis_File::current_link, INITSET, NULL, OPENED, OV_EINVAL, OV_EOF, OggVorbis_File::pcm_offset, OggVorbis_File::ready_state, ret, OggVorbis_File::vd, OggVorbis_File::vi, vorbis_synthesis_halfrate_p(), vorbis_synthesis_pcmout(), and vorbis_synthesis_read().

long ov_seekable | ( | OggVorbis_File * | vf | ) |

Definition at line 1088 of file vorbisfile.c.

References OggVorbis_File::seekable.

long ov_serialnumber | ( | OggVorbis_File * | vf,
|  | int | i
| ) |  |

Definition at line 1155 of file vorbisfile.c.

References OggVorbis_File::current_serialno, OggVorbis_File::links, ov_serialnumber(), OggVorbis_File::seekable, and OggVorbis_File::serialnos.

Referenced by ov_serialnumber().

long ov_streams | ( | OggVorbis_File * | vf | ) |

Definition at line 1083 of file vorbisfile.c.

References OggVorbis_File::links.

int ov_test | ( | FILE * | f,
|  | OggVorbis_File * | vf,
|  | const char * | initial,
|  | long | ibytes
| ) |  |

Definition at line 1066 of file vorbisfile.c.

References _fseek64_wrap(), int, and ov_test_callbacks().

int ov_test_callbacks | ( | void * | datasource,
|  | OggVorbis_File * | vf,
|  | const char * | initial,
|  | long | ibytes,
|  | ov_callbacks | callbacks
| ) |  |

Definition at line 1060 of file vorbisfile.c.

References _ov_open1().

Referenced by ov_test().

int ov_test_open | ( | OggVorbis_File * | vf | ) |

Definition at line 1077 of file vorbisfile.c.

References _ov_open2(), OV_EINVAL, PARTOPEN, and OggVorbis_File::ready_state.

int ov_time_seek | ( | OggVorbis_File * | vf,
|  | double | pos
| ) |  |

Definition at line 1690 of file vorbisfile.c.

References OggVorbis_File::links, OPENED, OV_EINVAL, OV_ENOSEEK, ov_pcm_seek(), ov_time_total(), OggVorbis_File::pcmlengths, vorbis_info::rate, OggVorbis_File::ready_state, OggVorbis_File::seekable, and OggVorbis_File::vi.

Referenced by ov_time_seek_lap(), Zeni::Sound_Stream_AL::set_time(), and Zeni::Sound_Stream_AL::Sound_Stream_AL().

int ov_time_seek_lap | ( | OggVorbis_File * | vf,
|  | double | pos
| ) |  |

Definition at line 2331 of file vorbisfile.c.

References _ov_d_seek_lap(), and ov_time_seek().

int ov_time_seek_page | ( | OggVorbis_File * | vf,
|  | double | pos
| ) |  |

Definition at line 1720 of file vorbisfile.c.

References OggVorbis_File::links, OPENED, OV_EINVAL, OV_ENOSEEK, ov_pcm_seek_page(), ov_time_total(), OggVorbis_File::pcmlengths, vorbis_info::rate, OggVorbis_File::ready_state, OggVorbis_File::seekable, and OggVorbis_File::vi.

Referenced by ov_time_seek_page_lap().

int ov_time_seek_page_lap | ( | OggVorbis_File * | vf,
|  | double | pos
| ) |  |

Definition at line 2335 of file vorbisfile.c.

References _ov_d_seek_lap(), and ov_time_seek_page().

double ov_time_tell | ( | OggVorbis_File * | vf | ) |

Definition at line 1762 of file vorbisfile.c.

References OggVorbis_File::links, OPENED, OV_EINVAL, ov_pcm_total(), ov_time_total(), OggVorbis_File::pcm_offset, OggVorbis_File::pcmlengths, vorbis_info::rate, OggVorbis_File::ready_state, OggVorbis_File::seekable, and OggVorbis_File::vi.

Referenced by Zeni::Sound_Stream_AL::get_time().

double ov_time_total | ( | OggVorbis_File * | vf,
|  | int | i
| ) |  |

Definition at line 1208 of file vorbisfile.c.

References i, OggVorbis_File::links, OPENED, OV_EINVAL, ov_time_total(), OggVorbis_File::pcmlengths, vorbis_info::rate, OggVorbis_File::ready_state, OggVorbis_File::seekable, and OggVorbis_File::vi.

Referenced by Zeni::Sound_Stream_AL::get_duration(), ov_bitrate(), ov_time_seek(), ov_time_seek_page(), ov_time_tell(), and ov_time_total().

## Variable Documentation

ov_callbacks OV_CALLBACKS_DEFAULT

static

Initial value:
= {
(size_t (*)(void *, size_t, size_t, void *)) fread,
(int (*)(void *, ogg_int64_t, int)) _ov_header_fseek_wrap,
(int (*)(void *)) fclose,
(long (*)(void *)) ftell
}
int
int
Definition: SDL_systhread.c:37
_ov_header_fseek_wrap
static int _ov_header_fseek_wrap(FILE *f, ogg_int64_t off, int whence)
Definition: vorbisfile.h:53
ogg_int64_t
long ogg_int64_t
Definition: config_types.h:23
size_t
unsigned int size_t
Definition: SDL_config_windows.h:67

Definition at line 75 of file vorbisfile.h.

ov_callbacks OV_CALLBACKS_NOCLOSE

static

Initial value:
= {
(size_t (*)(void *, size_t, size_t, void *)) fread,
(int (*)(void *, ogg_int64_t, int)) _ov_header_fseek_wrap,
(int (*)(void *)) NULL,
(long (*)(void *)) ftell
}
NULL
#define NULL
Definition: ftobjs.h:61
int
int
Definition: SDL_systhread.c:37
_ov_header_fseek_wrap
static int _ov_header_fseek_wrap(FILE *f, ogg_int64_t off, int whence)
Definition: vorbisfile.h:53
ogg_int64_t
long ogg_int64_t
Definition: config_types.h:23
size_t
unsigned int size_t
Definition: SDL_config_windows.h:67

Definition at line 82 of file vorbisfile.h.

ov_callbacks OV_CALLBACKS_STREAMONLY

static

Initial value:
= {
(size_t (*)(void *, size_t, size_t, void *)) fread,
(int (*)(void *, ogg_int64_t, int)) NULL,
(int (*)(void *)) fclose,
(long (*)(void *)) NULL
}
NULL
#define NULL
Definition: ftobjs.h:61
int
int
Definition: SDL_systhread.c:37
ogg_int64_t
long ogg_int64_t
Definition: config_types.h:23
size_t
unsigned int size_t
Definition: SDL_config_windows.h:67

Definition at line 89 of file vorbisfile.h.

ov_callbacks OV_CALLBACKS_STREAMONLY_NOCLOSE

static

Initial value:
= {
(size_t (*)(void *, size_t, size_t, void *)) fread,
(int (*)(void *, ogg_int64_t, int)) NULL,
(int (*)(void *)) NULL,
(long (*)(void *)) NULL
}
NULL
#define NULL
Definition: ftobjs.h:61
int
int
Definition: SDL_systhread.c:37
ogg_int64_t
long ogg_int64_t
Definition: config_types.h:23
size_t
unsigned int size_t
Definition: SDL_config_windows.h:67

Definition at line 96 of file vorbisfile.h.